import { OnInit } from '@angular/core';
import { Currency, Frequency } from '@vendasta/billing';
export declare enum PriceDisplayMode {
    Wholesale = 1,
    Retail = 2
}
export declare class PricingDisplayComponent implements OnInit {
    priceDisplayMode: PriceDisplayMode;
    edition: any;
    contactSales: boolean;
    currency: typeof Currency;
    billingFrequency: typeof Frequency;
    constructor();
    ngOnInit(): void;
    get pricingTitle(): string;
    hasCommitment(edition: any): boolean;
    formatPrice(currency: any, value: number): string;
    formatCommitmentString(edition: any): string;
    formatRecurString(edition: any): string;
    getTierValue(value: number): number | "∞";
}
